package com.capgemini.reports.snecmaobjects.admin;

import com.capgemini.framework.teamcenter.authent.TcSession;
import com.capgemini.reports.snecmaobjects.AbstractSnecmaObject;
import com.teamcenter.soa.client.model.strong.ItemRevision;

/**
 * Abstract class representing all the Admin.
 */
public abstract class AbstractAdmin extends AbstractSnecmaObject {
    private static final long serialVersionUID = -2526585943770080825L;

    public AbstractAdmin(final TcSession session, final ItemRevision itemRevision) {
        super(session, itemRevision);
    }

    @Override
    public boolean isAdmin() {
        return true;
    }

}
